## thunar-gdk-extensions thunar-gdk-extensions |

## Functions

GdkScreen * | thunar_gdk_screen_open ()
void | thunar_gdk_cairo_set_source_pixbuf ()

## Description

## Functions

### thunar_gdk_screen_open ()

    GdkScreen *
    thunar_gdk_screen_open (const gchar *display_name,
                            GError **error);

Opens the screen referenced by the `display_name` . Returns a reference on the GdkScreen for `display_name` or `NULL` if `display_name` couldn't be opened.

If `display_name` is the empty string "", a reference on the default screen will be returned.

The caller is responsible to free the returned object using `g_object_unref()` when no longer needed.

#### Parameters

display_name | a fully qualified display name. |
error | return location for errors or `NULL`. |

#### Returns

the GdkScreen for `display_name` or `NULL` if `display_name` could not be opened.

### thunar_gdk_cairo_set_source_pixbuf ()

    void
    thunar_gdk_cairo_set_source_pixbuf (cairo_t *cr,
                                        GdkPixbuf *pixbuf,
                                        gdouble pixbuf_x,
                                        gdouble pixbuf_y);

Works like gdk_cairo_set_source_pixbuf but we try to cache the surface on the pixbuf, which is efficient within Thunar because we also share the pixbufs using the icon cache.